Bug 782424 - export-dir set option takes invalid boolean values.
export-dir set option takes invalid boolean values.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: kaushik
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-17 07:57 EST by Vijaykumar Koppad
Modified: 2014-08-24 20:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:48:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-01-17 07:57:36 EST
Description of problem:
root@vostro:~# gluster volume set doa export-dir sdfsg
Set volume successful
root@vostro:~# gluster volume info
 
Volume Name: doa
Type: Distributed-Replicate
Volume ID: feb7204a-9b61-4743-85cd-f60ab0d7aab1
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: vostro:/home/vijay/bricks/doa/d1
Brick2: vostro:/home/vijay/bricks/doa/d2
Brick3: vostro:/home/vijay/bricks/doa/d3
Brick4: vostro:/home/vijay/bricks/doa/d4
Options Reconfigured:
nfs.export-dir: sdfsg


This is happening in 3.3 branch
Comment 1 kaushik 2012-01-19 06:24:44 EST
export-dir is not a boolean option to show it as an invalid boolean value, it is actually a path, however PATH validation is not correct in this case, this bug would be used to validate option export-dir as a valid PATH
Comment 2 Anand Avati 2012-02-07 12:48:33 EST
CHANGE: http://review.gluster.com/2667 (nfs: export-dir option changed to type GF_OPTION_TYPE_PATH) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Vijaykumar Koppad 2012-05-21 09:07:46 EDT
Verified on 3.3.0qa42. Its working fine now

Note You need to log in before you can comment on or make changes to this bug.